قالب و افزونه های وردپرسی را بهتر بشناسیم

سلام به همه همراهان دستچین وب؛

در جلسه ی قبلی آموزش های امنیتی درباره ی برنامه های به روز رسانی صحبت کردیم و اثرات مفیدش رو بررسی کردیم! و اما برنامه ی امروز ما چیه؟
میخوایم قالب و افزونه های شما رو مورد بررسی قرار بدیم!خیلی به این موضوع دقت کنید، اگه قالب یا افزونه هایی که نصب می کنید رو بدون آگاهی قبلی راه اندازی کنید ممکنه شما رو دچار مشکلات بزرگی کنه.
شاید باورتون نشه اما این مسئله به ظاهر کوچیک میتونه نقطه ی قوتی برای عوامل مخرب محسوب بشه!
پس اگه موافق باشید به اندازه ی دو دقیقه از وقت خودتون رو به من بدید تا بهتون بگم چطوری با این مشکل مقابله کنید.

درباره ی امنیت قالب و افزونه های وردپرسی باید بگم بیش از نیمی از هکرها در این مورد موفق میشن! پس شما اولین موردی که بهش نیاز دارید اینه که توجه بیشتری به فعال سازی افزونه ها و قالب هایی که نصب می کنید داشته باشید. حالا بیایید همین اول کار به نکاتی توجه کنیم:

اگه افزونه ای رو نصب کردید و متوجه شدید که تمام عملکرد سایت رو تحت تاثر قرار داده، از ادامه ی فعالیت افزونه جلوگیری کرده و آن را حذف کنید.

از افزونه ای که بیش از دو سال است که به روز نشده به هیچ وجه استفاده نکنی! پیشنهاد میشه از افزونه هایی که به صورت مرتب بروز رسانی میشه استفاده کنید.

همه افزونه ها به صورت یک شکل ایجاد نمیشن و برخی از اونها دارای کدهای بسیار ضعیفی هستند که به راحتی راه رو برای هکرها باز می کنند.

موضوع مهمی که برای همه ی قالب ها وجود داره اینه که به صورت منظم قابل بروز رسانی باشند و همچنین مهم تر از اون اینه که از کدهای مناسب و صحیحی ایجاد شده باشند. این کیفیت رو می تونید خودتون چک کنید.
اگر توسعه دهنده هستید که به راحتی می تونید این کار رو انجام بدید و تشخیص حاصل کنید اما در غیر اینصورت با افزونه ای به نام Theme-check این کار رو انجام بدید.

دانلود

 

برای استفاده از قالب های رایگان بسیار دقت کنید و مواظب باشید که از منابع شناخته شده برای دانلود آنها اقدام کنید. اما موردی که اینجا مطرحه اینه که هکرها می تونن با وارد کردن کدهای مخرب به قالب ها و افزونه های غیر رایگان نیز دسترسی داشته باشند.
پس بسیار دقت کنید که حتی تم هایی رو که می خرید از منابع معتبری تهیه شوند. به روز رسانی وردپرس میتونه به صورت خودکار پیکره بندی بشه.
برای به روز رسانی خودکار افزونه کد زیر رو در جدول wp-config.php جایگذاری کنید:

1
add_filter( 'auto_update_plugin', '__return_true' );

و همچنین برای بروز رسانی اتوماتیک قالب کد زیر را در جدول wp-config.php جایگذاری کنید

1
add_filter( 'auto_update_theme', '__return_true' );

ویرایشگر افزونه های وردپرسی و قالب ها به کاربران اجازه ی هر گونه تغییری رو میدن.اگه هکری قادر به دست یافتن به ناحیه ی مدیریت وردپرس شد به راحتی با تغییر کد قادر به تخریب سایت میشه یا حتی کلا کدها رو میتونه حذف کنه!!!
برای جلوگیری از این اتفاق ویرایشگر افزونه و قالب رو غیر فعال کنید. چطوری؟
به وسیله ی جایگذاری کد زیر در جدول wp-config.php

1
define( 'DISALLOW_FILE_EDIT', true );

در واقع شما می تونید گزینه ی به روز رسانی، نصب افزونه ها و قالب ها رو حذف کنید! استفاده از این روش، نصب و بارگذاری هر گونه قالب یا افزونه ای رو غیر فعال میکنه.

1
define( 'DISALLOW_FILE_MODS', true );

کد بالا، برای غیر فعال کردن این مواردی که گفته شد به کار میره که باید حتما در جدول wp-config.php قرار بگیره.

تا اینجا پیشنهاد کردم که با ما همراه بشید تا سایت وردپرسیمون رو قدرتمند کنیم، جلسه ی امروز هم خیلی مهمه پس کوتاهی نکنید و انجامش بدید حتما و یادتون باشه هیچوقت از افزونه یا قالبی که اطلاعاتی در موردش ندارید استفاده نکنید و افزونه ها رو در حد نیاز واقعی بررسی و نصب کنید.
نکته ی مهمتر اینه که از به روز رسانی افزونه هاتون غافل نشید!

روزهایتان زیبا

 

منبع: همیاروردپرس

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *